# HG changeset patch
# Node ID 4e33c789f4e2
# Parent  a197d870fc0b
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -463,6 +463,10 @@
 		* purple_network_listen_map_external
 		* purple_network_listen_range
 		* purple_network_listen_range_family
+		* PurpleNotifyUiOps.notify_email
+		* PurpleNotifyUiOps.notify_emails
+		* purple_notify_email
+		* purple_notify_emails
 		* purple_notify_searchresults_column_get_title
 		* purple_notify_searchresults_get_columns_count
 		* purple_notify_searchresults_get_rows_count
diff --git a/finch/gntnotify.c b/finch/gntnotify.c
--- a/finch/gntnotify.c
+++ b/finch/gntnotify.c
@@ -399,8 +399,6 @@
 static PurpleNotifyUiOps ops =
 {
 	finch_notify_message,
-	NULL,
-	NULL,
 	finch_notify_formatted,
 	finch_notify_searchresults,
 	finch_notify_sr_new_rows,
diff --git a/libpurple/notify.h b/libpurple/notify.h
--- a/libpurple/notify.h
+++ b/libpurple/notify.h
@@ -65,8 +65,6 @@
 /**
  * PurpleNotifyType:
  * @PURPLE_NOTIFY_MESSAGE:       Message notification.
- * @PURPLE_NOTIFY_EMAIL:         Single email notification.
- * @PURPLE_NOTIFY_EMAILS:        Multiple email notification.
  * @PURPLE_NOTIFY_FORMATTED:     Formatted text.
  * @PURPLE_NOTIFY_SEARCHRESULTS: Buddy search results.
  * @PURPLE_NOTIFY_USERINFO:      Formatted userinfo text.
@@ -77,13 +75,10 @@
 typedef enum
 {
 	PURPLE_NOTIFY_MESSAGE = 0,
-	PURPLE_NOTIFY_EMAIL,
-	PURPLE_NOTIFY_EMAILS,
 	PURPLE_NOTIFY_FORMATTED,
 	PURPLE_NOTIFY_SEARCHRESULTS,
 	PURPLE_NOTIFY_USERINFO,
 	PURPLE_NOTIFY_URI
-
 } PurpleNotifyType;
 
 
@@ -195,8 +190,6 @@
 /**
  * PurpleNotifyUiOps:
  * @notify_message: UI op for purple_notify_message().
- * @notify_email: UI op for purple_notify_email().
- * @notify_emails: UI op for purple_notify_emails().
  * @notify_formatted: UI op for purple_notify_formatted().
  * @notify_searchresults: UI op for purple_notify_searchresults().
  * @notify_searchresults_new_rows: UI op for
@@ -214,15 +207,6 @@
 		const char *primary, const char *secondary,
 		PurpleRequestCommonParameters *cpar);
 
-	void *(*notify_email)(PurpleConnection *gc,
-	                      const char *subject, const char *from,
-	                      const char *to, const char *url);
-
-	void *(*notify_emails)(PurpleConnection *gc,
-	                       size_t count, gboolean detailed,
-	                       const char **subjects, const char **froms,
-	                       const char **tos, const char **urls);
-
 	void *(*notify_formatted)(const char *title, const char *primary,
 	                          const char *secondary, const char *text);
 
@@ -431,51 +415,6 @@
 	gpointer user_data);
 
 /**
- * purple_notify_email:
- * @handle:    The plugin or connection handle.
- * @subject:   The subject of the email.
- * @from:      The from address.
- * @to:        The destination address.
- * @url:       The URL where the message can be read.
- * @cb:        (scope call): The callback to call when the user closes
- *             the notification.
- * @user_data: The data to pass to the callback.
- *
- * Displays a single email notification to the user.
- *
- * Returns: A UI-specific handle.
- */
-void *purple_notify_email(void *handle, const char *subject,
-						const char *from, const char *to,
-						const char *url, PurpleNotifyCloseCallback cb,
-						gpointer user_data);
-
-/**
- * purple_notify_emails:
- * @handle:    The plugin or connection handle.
- * @count:     The number of emails.  '0' can be used to signify that
- *             the user has no unread emails and the UI should remove
- *             the mail notification.
- * @detailed:  %TRUE if there is information for each email in the
- *             arrays.
- * @subjects:  The array of subjects.
- * @froms:     The array of from addresses.
- * @tos:       The array of destination addresses.
- * @urls:      The URLs where the messages can be read.
- * @cb:        (scope call): The callback to call when the user closes
- *             the notification.
- * @user_data: The data to pass to the callback.
- *
- * Displays a notification for multiple emails to the user.
- *
- * Returns: A UI-specific handle.
- */
-void *purple_notify_emails(void *handle, size_t count, gboolean detailed,
-						 const char **subjects, const char **froms,
-						 const char **tos, const char **urls,
-						 PurpleNotifyCloseCallback cb, gpointer user_data);
-
-/**
  * purple_notify_formatted:
  * @handle:    The plugin or connection handle.
  * @title:     The title of the message.
diff --git a/libpurple/notify.c b/libpurple/notify.c
--- a/libpurple/notify.c
+++ b/libpurple/notify.c
@@ -97,93 +97,6 @@
 }
 
 void *
-purple_notify_email(void *handle, const char *subject, const char *from,
-				  const char *to, const char *url, PurpleNotifyCloseCallback cb,
-				  gpointer user_data)
-{
-	PurpleNotifyUiOps *ops;
-
-	ops = purple_notify_get_ui_ops();
-
-	if (ops != NULL && ops->notify_email != NULL) {
-		void *ui_handle;
-
-		purple_signal_emit(purple_notify_get_handle(), "displaying-email-notification",
-						   subject, from, to, url);
-
-		ui_handle = ops->notify_email(handle, subject, from, to, url);
-
-		if (ui_handle != NULL) {
-
-			PurpleNotifyInfo *info = g_new0(PurpleNotifyInfo, 1);
-			info->type = PURPLE_NOTIFY_EMAIL;
-			info->handle = handle;
-			info->ui_handle = ui_handle;
-			info->cb = cb;
-			info->cb_user_data = user_data;
-
-			handles = g_list_append(handles, info);
-
-			return info->ui_handle;
-		}
-	}
-
-	if (cb != NULL)
-		cb(user_data);
-
-	return NULL;
-}
-
-void *
-purple_notify_emails(void *handle, size_t count, gboolean detailed,
-				   const char **subjects, const char **froms,
-				   const char **tos, const char **urls,
-				   PurpleNotifyCloseCallback cb, gpointer user_data)
-{
-	PurpleNotifyUiOps *ops;
-
-	if (count == 1) {
-		return purple_notify_email(handle,
-								 (subjects == NULL ? NULL : *subjects),
-								 (froms    == NULL ? NULL : *froms),
-								 (tos      == NULL ? NULL : *tos),
-								 (urls     == NULL ? NULL : *urls),
-								 cb, user_data);
-	}
-
-	ops = purple_notify_get_ui_ops();
-
-	if (ops != NULL && ops->notify_emails != NULL) {
-		void *ui_handle;
-
-		purple_signal_emit(purple_notify_get_handle(), "displaying-emails-notification",
-							subjects, froms, tos, urls, count);
-
-		ui_handle = ops->notify_emails(handle, count, detailed, subjects,
-											 froms, tos, urls);
-
-		if (ui_handle != NULL) {
-			PurpleNotifyInfo *info = g_new0(PurpleNotifyInfo, 1);
-			info->type = PURPLE_NOTIFY_EMAILS;
-			info->handle = handle;
-			info->ui_handle = ui_handle;
-			info->cb = cb;
-			info->cb_user_data = user_data;
-
-			handles = g_list_append(handles, info);
-
-			return info->ui_handle;
-		}
-
-	}
-
-	if (cb != NULL)
-		cb(user_data);
-
-	return NULL;
-}
-
-void *
 purple_notify_formatted(void *handle, const char *title, const char *primary,
 					  const char *secondary, const char *text,
 					  PurpleNotifyCloseCallback cb, gpointer user_data)
diff --git a/pidgin/gtknotify.c b/pidgin/gtknotify.c
--- a/pidgin/gtknotify.c
+++ b/pidgin/gtknotify.c
@@ -630,8 +630,6 @@
 static PurpleNotifyUiOps ops =
 {
 	pidgin_notify_message,
-	NULL,
-	NULL,
 	pidgin_notify_formatted,
 	pidgin_notify_searchresults,
 	pidgin_notify_searchresults_new_rows,
